com.amazonaws.services.codedeploy.model

## Class ListDeploymentGroupsRequest

- java.lang.Object
- - com.amazonaws.AmazonWebServiceRequest
  - - com.amazonaws.services.codedeploy.model.ListDeploymentGroupsRequest

All Implemented Interfaces:
  ReadLimitInfo, Serializable, Cloneable

    public class ListDeploymentGroupsRequest
    extends AmazonWebServiceRequest
    implements Serializable, Cloneable

Represents the input of a list deployment groups operation.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class com.amazonaws.AmazonWebServiceRequest

`NOOP`

### Constructor Summary

Constructors
Constructor and Description
`ListDeploymentGroupsRequest()`

### Method Summary

All Methods Instance Methods Concrete Methods
`ListDeploymentGroupsRequest` `clone()`
`boolean` `equals(Object obj)`
`String` `getApplicationName()` The name of an AWS CodeDeploy application associated with the applicable IAM user or AWS account.
`String` `getNextToken()` An identifier returned from the previous list deployment groups call.
`int` `hashCode()`
`void` `setApplicationName(String applicationName)` The name of an AWS CodeDeploy application associated with the applicable IAM user or AWS account.
`void` `setNextToken(String nextToken)` An identifier returned from the previous list deployment groups call.
`String` `toString()` Returns a string representation of this object; useful for testing and debugging.
`ListDeploymentGroupsRequest` `withApplicationName(String applicationName)` The name of an AWS CodeDeploy application associated with the applicable IAM user or AWS account.
`ListDeploymentGroupsRequest` `withNextToken(String nextToken)` An identifier returned from the previous list deployment groups call.

### Methods inherited from class com.amazonaws.AmazonWebServiceRequest

`copyBaseTo, getCloneRoot, getCloneSource, getCustomQueryParameters, getCustomRequestHeaders, getGeneralProgressListener, getReadLimit, getRequestClientOptions, getRequestCredentials, getRequestCredentialsProvider, getRequestMetricCollector, getSdkClientExecutionTimeout, getSdkRequestTimeout, putCustomQueryParameter, putCustomRequestHeader, setGeneralProgressListener, setRequestCredentials, setRequestCredentialsProvider, setRequestMetricCollector, setSdkClientExecutionTimeout, setSdkRequestTimeout, withGeneralProgressListener, withRequestMetricCollector, withSdkClientExecutionTimeout, withSdkRequestTimeout`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ListDeploymentGroupsRequest

    public ListDeploymentGroupsRequest()

### Method Detail

#### setApplicationName

    public void setApplicationName(String applicationName)

The name of an AWS CodeDeploy application associated with the applicable IAM user or AWS account.

Parameters:
  `applicationName` - The name of an AWS CodeDeploy application associated with the applicable IAM user or AWS account.

#### getApplicationName

    public String getApplicationName()

The name of an AWS CodeDeploy application associated with the applicable IAM user or AWS account.

Returns:
  The name of an AWS CodeDeploy application associated with the applicable IAM user or AWS account.

#### withApplicationName

    public ListDeploymentGroupsRequest withApplicationName(String applicationName)

The name of an AWS CodeDeploy application associated with the applicable IAM user or AWS account.

Parameters:
  `applicationName` - The name of an AWS CodeDeploy application associated with the applicable IAM user or AWS account.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setNextToken

    public void setNextToken(String nextToken)

An identifier returned from the previous list deployment groups call. It can be used to return the next set of deployment groups in the list.

Parameters:
  `nextToken` - An identifier returned from the previous list deployment groups call. It can be used to return the next set of deployment groups in the list.

#### getNextToken

    public String getNextToken()

An identifier returned from the previous list deployment groups call. It can be used to return the next set of deployment groups in the list.

Returns:
  An identifier returned from the previous list deployment groups call. It can be used to return the next set of deployment groups in the list.

#### withNextToken

    public ListDeploymentGroupsRequest withNextToken(String nextToken)

An identifier returned from the previous list deployment groups call. It can be used to return the next set of deployment groups in the list.

Parameters:
  `nextToken` - An identifier returned from the previous list deployment groups call. It can be used to return the next set of deployment groups in the list.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### toString

    public String toString()

Returns a string representation of this object; useful for testing and debugging.

Overrides:
  `toString` in class `Object`
Returns:
  A string representation of this object.
See Also:
  `Object.toString()`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### clone

    public ListDeploymentGroupsRequest clone()

Overrides:
  `clone` in class `AmazonWebServiceRequest`